Attribute VB_Name = "MathFunctions"
Option Explicit

Public Const PI = 3.14159

Public Function PointsToAngle(ByVal xOne As Single, ByVal yOne As Single, ByVal X As Single, ByVal Y As Single) As Single

    If xOne = X And Y = yOne Then
        Exit Function
    End If

    X = X - xOne
    Y = Y - yOne
    
    Dim nRatio As Single
    Dim nASin As Single
    nRatio = X / Sqr(Y ^ 2 + X ^ 2)
    
    
    If Abs(nRatio) = 1 Then
        nASin = 90 * nRatio
    Else
        nASin = Atn(nRatio / Sqr(-nRatio * nRatio + 1)) * (180 / PI)
    End If

    If Y < 0 Then
        nASin = 90 - nASin + 90
    ElseIf X < 0 Then
        nASin = nASin + 360
    End If

    PointsToAngle = nASin

End Function


Public Function AddAngles(ByVal Angle1 As Single, ByVal Angle2 As Single) As Single
    
    AddAngles = (Angle1 + Angle2) Mod 360

End Function
