Attribute VB_Name = "INIFunctions"
Option Explicit

'INI FUNCTIONS:
Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long

Function ReadINIFile(ByVal sFileName As String, ByVal sSection As String, ByVal sKeyName As String) As String
    On Error Resume Next
    Dim sRet As String
    sRet = String(255, Chr(0))
    ReadINIFile = Left(sRet, GetPrivateProfileString(sSection, ByVal sKeyName, "", sRet, Len(sRet), sFileName))
End Function

Function WriteINIFile(ByVal sFileName As String, ByVal sSection As String, ByVal sKeyName As String, ByVal sNewString As String) As Integer
    On Error Resume Next
    Dim r
    r = WritePrivateProfileString(sSection, sKeyName, sNewString, sFileName)
End Function

